/**
 * @param {Node} tree
 * @param {PhrasesList|PhrasesMap} phrases
 * @param {Handler} [handler]
 * @param {AllowApostrophes|SearchOptions} [options=false]
 */
export function search(
  tree: Node,
  phrases: PhrasesList | PhrasesMap,
  handler?: Handler,
  options?: AllowApostrophes | SearchOptions
): void
export type Node = import('unist').Node
export type Parent = import('unist').Parent
export type Visitor = import('unist-util-visit').Visitor<Node>
export type NormalizeOptions = import('nlcst-normalize').NormalizeOptions
export type AllowApostrophes = boolean
export type SearchOptions = NormalizeOptions & {
  allowLiterals?: boolean
}
export type PhrasesList = Array<string>
export type PhrasesMap = {
  [x: string]: unknown
}
export type Handler = (
  nodes: Array<Node>,
  index: number,
  parent: Parent,
  pattern: string
) => void
